---
title: PannerNode.coneOuterGain
slug: Web/API/PannerNode/coneOuterGain
tags:
  - API
  - PannerNode
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
  - coneOuterGain
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p><span class="seoSummary">The <code>coneOuterGain</code> property of the {{ domxref("PannerNode") }} interface is a double value, describing the amount of volume reduction outside the cone, defined by the {{domxref("PannerNode.coneOuterAngle", "coneOuterAngle")}} attribute.</span></p>

<p>The <code>coneOuterGain</code> property's default value is <code>0</code>, meaning that no sound can be heard outside the cone.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.coneOuterGain = 0;</pre>

<h3 id="Value">Value</h3>

<p>A double. The default is <code>0</code>, and its value can be in the range 0–1.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>InvalidStateError</code></dt>
 <dd>The property has been given a value outside the accepted range (0–1).</dd>
</dl>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/PannerNode/orientationX","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-coneoutergain', 'coneOuterGain')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.coneOuterGain")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Web_audio_spatialization_basics">Web Audio spatialisation basics</a></li>
</ul>
